Name: op5-ldap-helper
Version: 0.5.0	
Release:	1.el6
Summary: Tool to synchronize LDAP groups with local contactgroup objects through the op5 API
Group: Third Party		
BuildArch: noarch
License: GPL	
URL: http://www.op5.com		
Source0: distribution/op5-ldap-helper-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: perl perl-LDAP perl-libwww-perl perl-JSON perl-URI perl-YAML	

%description
Program to synchronize the local op5 Monitor contact/contactgroups objects with LDAP groups and
users structure to allow configurations with users with limited view permissions in op5 Monitor, 
fully controlled inside the LDAP directory.

%prep
%setup -c

%install
rm -rf %{buildroot}
install -d %{buildroot}/opt/op5-ldap-helper
install -m 755 op5-ldap-helper.pl %{buildroot}/opt/op5-ldap-helper/op5-ldap-helper.pl
install -m 640 op5-ldap-helper.conf.yml %{buildroot}/opt/op5-ldap-helper/op5-ldap-helper.conf.yml

%clean
rm -rf %{buildroot}

%files
/opt/op5-ldap-helper/op5-ldap-helper.pl
%config(noreplace) /opt/op5-ldap-helper/op5-ldap-helper.conf.yml
